# __gnu_parallel::__generic_for_each_selector< _It > Struct Template Reference

Generic __selector for embarrassingly parallel functions. More...

Inheritance diagram for __gnu_parallel::__generic_for_each_selector< _It >:
[legend]

List of all members.

## Public Attributes

- _It _M_finish_iterator

## Detailed Description

### template<typename _It>
struct __gnu_parallel::__generic_for_each_selector< _It >

Generic __selector for embarrassingly parallel functions.

Definition at line 42 of file for_each_selectors.h.

## Member Data Documentation

template<typename _It >

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h